com.genesyslab.wfm7.API.service.config761

## Class CfgColors

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgColors

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgColors
      extends java.lang.Object
      implements java.io.Serializable

  Defines "general" schedule type colors
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `timestamp` Timestamp value
    `private int[]` | `wmColors` An array of RGB color values, one for every schedule state type.
    `private int` | `wmColorsNSizeIs` Number of elements in the wmColors array
    `private int[]` | `wmFontColors` An array of RGB color values, one each for the font of every schedule state type.
    `private int` | `wmFontColorsNSizeIs` Number of elements in the wmFontColors array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgColors()`
    `CfgColors(int wmColorsNSizeIs, int[] wmColors, int wmFontColorsNSizeIs, int[] wmFontColors, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getTimestamp()` Gets the timestamp value for this CfgColors.
    `int[]` | `getWmColors()` Gets the wmColors value for this CfgColors.
    `int` | `getWmColorsNSizeIs()` Gets the wmColorsNSizeIs value for this CfgColors.
    `int[]` | `getWmFontColors()` Gets the wmFontColors value for this CfgColors.
    `int` | `getWmFontColorsNSizeIs()` Gets the wmFontColorsNSizeIs value for this CfgColors.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgColors.
    `void` | `setWmColors(int[] wmColors)` Sets the wmColors value for this CfgColors.
    `void` | `setWmColorsNSizeIs(int wmColorsNSizeIs)` Sets the wmColorsNSizeIs value for this CfgColors.
    `void` | `setWmFontColors(int[] wmFontColors)` Sets the wmFontColors value for this CfgColors.
    `void` | `setWmFontColorsNSizeIs(int wmFontColorsNSizeIs)` Sets the wmFontColorsNSizeIs value for this CfgColors.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmColorsNSizeIs

          private int wmColorsNSizeIs

      Number of elements in the wmColors array

    - #### wmColors

          private int[] wmColors

      An array of RGB color values, one for every schedule state type. The value of the schedule type enumerator (`ESchStateType`) should be used as an index for the wmColors array. Color values of -1 stand for NULL.

    - #### wmFontColorsNSizeIs

          private int wmFontColorsNSizeIs

      Number of elements in the wmFontColors array

    - #### wmFontColors

          private int[] wmFontColors

      An array of RGB color values, one each for the font of every schedule state type. The value of the schedule type enumerator (`ESchStateType`) should be used as an index for the wmColors array. Color values of -1 stand for NULL.

    - #### timestamp

          private long timestamp

      Timestamp value

  - ### Constructor Detail

    - #### CfgColors

          public CfgColors()

    - #### CfgColors

          public CfgColors(int wmColorsNSizeIs,
                   int[] wmColors,
                   int wmFontColorsNSizeIs,
                   int[] wmFontColors,
                   long timestamp)

  - ### Method Detail

    - #### getWmColorsNSizeIs

          public int getWmColorsNSizeIs()

      Gets the wmColorsNSizeIs value for this CfgColors.
      Returns:
        wmColorsNSizeIs

    - #### setWmColorsNSizeIs

          public void setWmColorsNSizeIs(int wmColorsNSizeIs)

      Sets the wmColorsNSizeIs value for this CfgColors.
      Parameters:
        `wmColorsNSizeIs` -

    - #### getWmColors

          public int[] getWmColors()

      Gets the wmColors value for this CfgColors.
      Returns:
        wmColors

    - #### setWmColors

          public void setWmColors(int[] wmColors)

      Sets the wmColors value for this CfgColors.
      Parameters:
        `wmColors` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgColors.
      Returns:
        timestamp

    - #### getWmFontColorsNSizeIs

          public int getWmFontColorsNSizeIs()

      Gets the wmFontColorsNSizeIs value for this CfgColors.
      Returns:
        wmFontColorsNSizeIs

    - #### setWmFontColorsNSizeIs

          public void setWmFontColorsNSizeIs(int wmFontColorsNSizeIs)

      Sets the wmFontColorsNSizeIs value for this CfgColors.
      Parameters:
        `wmFontColorsNSizeIs` -

    - #### getWmFontColors

          public int[] getWmFontColors()

      Gets the wmFontColors value for this CfgColors.
      Returns:
        wmFontColors

    - #### setWmFontColors

          public void setWmFontColors(int[] wmFontColors)

      Sets the wmFontColors value for this CfgColors.
      Parameters:
        `wmFontColors` -

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgColors.
      Parameters:
        `timestamp` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.